Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
D3D12_GRAPHICS_PIPELINE_STATE_DESC Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes
ID3D12RootSignature * | pRootSignature
D3D12_SHADER_BYTECODE | VS
D3D12_SHADER_BYTECODE | PS
D3D12_SHADER_BYTECODE | DS
D3D12_SHADER_BYTECODE | HS
D3D12_SHADER_BYTECODE | GS
D3D12_STREAM_OUTPUT_DESC | StreamOutput
D3D12_BLEND_DESC | BlendState
UINT | SampleMask
D3D12_RASTERIZER_DESC | RasterizerState
D3D12_DEPTH_STENCIL_DESC | DepthStencilState
D3D12_INPUT_LAYOUT_DESC | InputLayout
D3D12_INDEX_BUFFER_STRIP_CUT_VALUE | IBStripCutValue
D3D12_PRIMITIVE_TOPOLOGY_TYPE | PrimitiveTopologyType
UINT | NumRenderTargets
DXGI_FORMAT | RTVFormats [8]
DXGI_FORMAT | DSVFormat
DXGI_SAMPLE_DESC | SampleDesc
UINT | NodeMask
D3D12_CACHED_PIPELINE_STATE | CachedPSO
D3D12_PIPELINE_STATE_FLAGS | Flags

## Detailed Description

Definition at line 2085 of file mini_d3d12.h.

## Member Data Documentation

## ◆ pRootSignature

ID3D12RootSignature* D3D12_GRAPHICS_PIPELINE_STATE_DESC::pRootSignature

Definition at line 2086 of file mini_d3d12.h.

## ◆ VS

D3D12_SHADER_BYTECODE D3D12_GRAPHICS_PIPELINE_STATE_DESC::VS

Definition at line 2087 of file mini_d3d12.h.

## ◆ PS

D3D12_SHADER_BYTECODE D3D12_GRAPHICS_PIPELINE_STATE_DESC::PS

Definition at line 2088 of file mini_d3d12.h.

## ◆ DS

D3D12_SHADER_BYTECODE D3D12_GRAPHICS_PIPELINE_STATE_DESC::DS

Definition at line 2089 of file mini_d3d12.h.

## ◆ HS

D3D12_SHADER_BYTECODE D3D12_GRAPHICS_PIPELINE_STATE_DESC::HS

Definition at line 2090 of file mini_d3d12.h.

## ◆ GS

D3D12_SHADER_BYTECODE D3D12_GRAPHICS_PIPELINE_STATE_DESC::GS

Definition at line 2091 of file mini_d3d12.h.

## ◆ StreamOutput

D3D12_STREAM_OUTPUT_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::StreamOutput

Definition at line 2092 of file mini_d3d12.h.

## ◆ BlendState

D3D12_BLEND_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::BlendState

Definition at line 2093 of file mini_d3d12.h.

## ◆ SampleMask

UINT D3D12_GRAPHICS_PIPELINE_STATE_DESC::SampleMask

Definition at line 2094 of file mini_d3d12.h.

## ◆ RasterizerState

D3D12_RASTERIZER_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::RasterizerState

Definition at line 2095 of file mini_d3d12.h.

## ◆ DepthStencilState

D3D12_DEPTH_STENCIL_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::DepthStencilState

Definition at line 2096 of file mini_d3d12.h.

## ◆ InputLayout

D3D12_INPUT_LAYOUT_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::InputLayout

Definition at line 2097 of file mini_d3d12.h.

## ◆ IBStripCutValue

D3D12_INDEX_BUFFER_STRIP_CUT_VALUE D3D12_GRAPHICS_PIPELINE_STATE_DESC::IBStripCutValue

Definition at line 2098 of file mini_d3d12.h.

## ◆ PrimitiveTopologyType

D3D12_PRIMITIVE_TOPOLOGY_TYPE D3D12_GRAPHICS_PIPELINE_STATE_DESC::PrimitiveTopologyType

Definition at line 2099 of file mini_d3d12.h.

## ◆ NumRenderTargets

UINT D3D12_GRAPHICS_PIPELINE_STATE_DESC::NumRenderTargets

Definition at line 2100 of file mini_d3d12.h.

## ◆ RTVFormats

DXGI_FORMAT D3D12_GRAPHICS_PIPELINE_STATE_DESC::RTVFormats[8]

Definition at line 2101 of file mini_d3d12.h.

## ◆ DSVFormat

DXGI_FORMAT D3D12_GRAPHICS_PIPELINE_STATE_DESC::DSVFormat

Definition at line 2102 of file mini_d3d12.h.

## ◆ SampleDesc

DXGI_SAMPLE_DESC D3D12_GRAPHICS_PIPELINE_STATE_DESC::SampleDesc

Definition at line 2103 of file mini_d3d12.h.

## ◆ NodeMask

UINT D3D12_GRAPHICS_PIPELINE_STATE_DESC::NodeMask

Definition at line 2104 of file mini_d3d12.h.

## ◆ CachedPSO

D3D12_CACHED_PIPELINE_STATE D3D12_GRAPHICS_PIPELINE_STATE_DESC::CachedPSO

Definition at line 2105 of file mini_d3d12.h.

## ◆ Flags

D3D12_PIPELINE_STATE_FLAGS D3D12_GRAPHICS_PIPELINE_STATE_DESC::Flags

Definition at line 2106 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h